package ope.shopping;

/**
 * This class represents a product which has a name and a
 * price. The product can be placed into a shopping cart.
 * 
 * @author Kimmo Kiiski
 * @author Teemu Koskinen
 * @version 0.1
 * 
 * @see ShoppingCart
 */
public class Product {
   private String name;
   private double price;


   /**
    * Creates a new product with the given name and price.
    * 
    * @param name
    *           the name of this product
    * @param price
    *           the price of this product
    */
   public Product(String name, double price) {
      this.name = name;
      this.price = price;
   }


   /**
    * Returns the name of this product.
    * 
    * @return the name of this product.
    */
   public String getName() {
      return this.name;
   }


   /**
    * Returns the price of this product.
    * 
    * @return the price of this product.
    */
   public double getPrice() {
      return this.price;
   }


   public String toString() {
      return this.name + " (" + this.price + " euros)";
   }
}
