package ope.shopping2;

public class Shopping {

	public static void main(String[] args) {

		// Create person objects called Matti and Maija.
		Customer maija = new Customer("Maija");
		Customer matti = new Customer("Matti");

		/*
		 * Create some products: camera (120 euros, 5 in stock), printer (110
		 * euros, 10 in stock), flashlight (20 euros, 2 in stock) and mobile
		 * phone (310 euros, 1 in stock)
		 */
		Product camera = new Product("Camera", 120, 5);
		Product printer = new Product("Printer", 110, 10);
		Product flashlight = new Product("Flashlight", 20, 2);
		Product mobilephone = new Product("Mobile phone", 200, 1);

		// Maija and Matti receive some money.
		maija.receiveMoney(235);
		matti.receiveMoney(225);

		// Let's add a camera and a mobile phone to Maija's cart.
		addToCart(maija, camera);
		addToCart(maija, printer);
		addToCart(maija, mobilephone);

		// And a printer, a mobile phone and a flashlight to Matti's cart.
		addToCart(matti, mobilephone);
		addToCart(matti, flashlight);

		// Both carts finish shopping.
		finishShopping(maija);
		finishShopping(matti);
	}

	public static void addToCart(Customer customer, Product item) {
		System.out.println("Adding " + item.getName() + " to "
				+ customer.getName() + "'s shopping cart.");
		if (item.inStock()) {
			customer.getCart().addProduct(item);
			System.out.println(" -> Added to cart.");
		} else {
			System.out.println(" -> Product " + item.getName()
					+ " is currently out of stock.");
		}

	}

	public static void finishShopping(Customer customer) {
		System.out.println(customer.getName() + " is now checking out.");
		ShoppingCart cart = customer.getCart();

		if (customer.checkOut()) {
			System.out.println(" -> Buying " + cart.countProducts()
					+ " products with " + cart.getTotalPrice()
					+ " euros succeeded.");
			customer.clearCart();
		} else {
			System.out.println(" -> Buying " + cart.countProducts()
					+ " products with " + cart.getTotalPrice()
					+ " euros failed. Not enough money.");
		}
	}
}
